Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc.field

# Class TypeConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
java.sql.SQLNonTransientException
org.firebirdsql.jdbc.field.TypeConversionException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

public class TypeConversionException extends SQLNonTransientException
This exception is thrown when the requested type conversion cannot be performed.

Author:
  Roman Rokytskyy
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TypeConversionException(String msg)`
`TypeConversionException(String msg, Throwable cause)`

## Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### TypeConversionException

public TypeConversionException(String msg)

### TypeConversionException

public TypeConversionException(String msg, Throwable cause)